Package com.pixelmed.convert

## Class ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter

- java.lang.Object
- - com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter

- All Implemented Interfaces:
    `java.io.FileFilter`
  Enclosing class:
    ConvertAmicasJPEG2000FilesetToDicom

      public final class ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter
      extends java.lang.Object
      implements java.io.FileFilter

  Instances of this class select only Files that are directories.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OnlyDirectoriesFileFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File file)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnlyDirectoriesFileFilter

          public OnlyDirectoriesFileFilter()

  - ### Method Detail

    - #### accept

          public boolean accept​(java.io.File file)

      Specified by:
        `accept` in interface `java.io.FileFilter`